package mydomain.model;

import javax.jdo.annotations.*;
import java.util.*;

/**
 * Example of a class with a Collection field stored in a join table
 * with a CLOB element.
 */
@PersistenceCapable(detachable="true")
public class B
{
    @PrimaryKey
    Long id;

    String name;

    @Persistent
    @Join
    @Element(columns=@Column(name="DATA", jdbcType="CLOB"))
    Collection<String> data;

    public B(long id, String name)
    {
        this.id = id;
        this.name = name;
        this.data = new HashSet<>();
    }

    public Long getId()
    {
        return id;
    }

    public String getName()
    {
        return name;
    }

    public Collection<String> getData()
    {
        return this.data;
    }
}
