package mydomain.model;

import javax.jdo.annotations.*;
import java.util.*;

/**
 * Example of a class with a Collection field that is serialised into a
 * CLOB column.
 */
@PersistenceCapable(detachable="true")
public class C
{
    @PrimaryKey
    Long id;

    String name;

    @Persistent(serialized="true")
    @Column(name="DATA", jdbcType="BLOB")
    Collection<String> data;

    public C(long id, String name)
    {
        this.id = id;
        this.name = name;
        this.data = new HashSet<>();
    }

    public Long getId()
    {
        return id;
    }

    public String getName()
    {
        return name;
    }

    public Collection<String> getData()
    {
        return this.data;
    }
}
